---
title: rDWS Display Control Endpoints
slug: develop/rdws-display-control-endpoints
docTags: 
createdAt: 2025-03-11T07:03:32.132Z
---

:::hint{type="info"}
These display-control APIs can only be used on Moka displays that have built-in BrightSign players and are only available in BOS 9.0.189 and above.
:::

Base URL for these endpoints:  ***https\://ws.bsn.cloud/rest/***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /v1/display-control/ 

Returns all control settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the display control settings, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "tvInfo": {
        "macAddress": "ff:ff:ff:ff:ff:ff",
        "wifiMacAddress": "ff:ff:ff:ff:ff:ff",
        "serialNo": "1234567890",
        "osVersion": "V8-AM963BS-0020015",
        "hwRevision": 1
      },
      "whiteBalance": {
        "redBalance": 120,
        "greenBalance": 120,
        "blueBalance": 120
      },
      "volume": 50,
      "brightness": 50,
      "contrast": 50,
      "idleStandbyTimeout": 50,
      "powerSetting": "on",
      "videoOutput": "HDMI1",
      "sdConnection": "brightsign",
      "alwaysConnectedEnabled": true
    }
  }
}
```

## GET /v1/display-control/brightness/ 

Returns the brightness settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/brightness/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the brightness setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "brightness": 100
    }
  }
}
```

## PUT /v1/display-control/brightness/  

Changes the brightness setting of a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/brightness/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 14
```

This is the example request body:

```json
{
  "data": {
    "brightness": 100
  }
}
```

**Response Body**

<font color="#15803D">200</font>: This returns the updated brightness setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "brightness": 100
    }
  }
}
```

## GET /v1/display-control/contrast/ 

Returns the contrast settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/contrast/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the contrast setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "contrast": 45
    }
  }
}
```

## PUT /v1/display-control/contrast/  

Changes the contrast of a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/contrast/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 22
```

This is the example request body:

```json
{
  "data": {
    "contrast": 45
  }
}
```

**Response Body**

<font color="#15803D">200</font>: This returns the updated contrast setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "contrast": 45
    }
  }
}
```

## GET /v1/display-control/always-connected/ 

Returns the connection settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/always-connected/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the connection setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "enabled": true
    }
  }
}
```

## PUT /v1/display-control/always-connected/  

Changes the connection setting of a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/always-connected/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 23
```

This is the example request body:

```json
{
  "data": {
    "enable": true
  }
}
```

**Response Body**

<font color="#15803D">200</font>: Returns the connection setting for the display as `true`, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "enable": true
    }
  }
}
```

## GET /v1/display-control/always-on/ 

Returns a connection setting (whether it is always on or not) for a BrightSign-connected display.  See [this page](docId\:H7HTRo-84LYoUgQrax_NV) for an explanation of this setting.

**Request Example**

```text
GET /rest/v1/display-control/always-on/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the connection setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "enabled": true
    }
  }
}
```

## PUT /v1/display-control/always-on/  

Enables you to set the display connection so that it is always on.  See [this page](docId\:H7HTRo-84LYoUgQrax_NV) for an explanation of this setting.

**Request Example**

```text
PUT /rest/v1/display-control/always-on/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 23
```

This is the example request body:

```json
{
  "data": {
    "enable": true
  }
}
```

**Response Body**

<font color="#15803D">200</font>: Returns the connection setting for the display as `true`, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "enable": true
    }
  }
}
```

## PUT /v1/display-control/firmware/  

Changes the firmware setting for a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/firmware/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 105
```

The example request body can be `filepath` or `url`:

```json
{
  "data": {
    "filepath": "path/to/firmware/relative/to/sd"
  }
}
```

```json
{
  "data": {
    "url": "https://example.com/tv-firmware.zip"
  }
}
```

**Response Body**

<font color="#15803D">202</font>: This updates the firmware and reboots the player, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "reboot": true
    }
  }
}
```

## GET /v1/display-control/info/ 

Returns the settings about the BrightSign player that is connected to a display

**Request Example**

```text
GET /rest/v1/display-control/info/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns information about a display that is connected to a BrightSign player, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "macAddress": "ff:ff:ff:ff:ff:ff",
      "serialNo": "1234567890",
      "osVersion": "V8-AM963BS-0020015",
      "hwRevision": 2,
      "wifiMacAddress": "ff:ff:ff:ff:ff:ff"
    }
  }
}
```

## GET /v1/display-control/power-settings/ 

Returns the power settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/power-settings/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the power setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "setting": "on"
    }
  }
}
```

## PUT /v1/display-control/power-settings/  

Changes the power setting for a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/power-settings/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 38
```

This is the example request body:

```json
{
  "data": {
    "setting": "standby"
  }
}
```

**Response Body**

<font color="#15803D">200</font>: This returns the updated power setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "setting": "standby"
    }
  }
}
```

## GET /v1/display-control/standby-timeout/ 

Returns the standby/timeout settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/standby-timeout/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the standby/timeout setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "seconds": 60
    }
  }
}
```

## PUT /v1/display-control/standby-timeout/  

Changes the standby/timeout setting of a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/standby-timeout/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 19
```

This is the example request body:

```json
{
  "data": {
    "seconds": 60
  }
}
```

**Response Body**

<font color="#15803D">200</font>: This returns the updated standby/timeout setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "seconds": 60
    }
  }
}
```

## GET /v1/display-control/sd-connection/ 

Returns the SD connection settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/sd-connection/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the SD connection setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "connection": "brightsign"
    }
  }
}
```

## PUT /v1/display-control/sd-connection/  

Changes the SD connection setting of a display connected to a BrightSign player. The SD card control is passed either to the display (`display`) or the BrightSign player (`brightsign`)

**Request Example**

```text
PUT /rest/v1/display-control/sd-connection/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 19
```

This is the example request body:

```json
{
  "data": {
    "connection": "display"
  }
}
```

**Response Body**

<font color="#15803D">200</font>: This returns the updated SD connection setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "connection": "display"
    }
  }
}
```

## GET /v1/display-control/video-output/ 

Returns the video output settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/video-output/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the video output setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "output": "HDMI1"
    }
  }
}
```

## PUT /v1/display-control/video-output/  

Changes the video output setting of a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/video-output/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 18
```

This is the example request body:

```json
{
  "data": {
    "output": "HDMI2"
  }
}
```

**Response Body**

<font color="#15803D">200</font>: This returns the updated video output connection setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "output": "HDMI2"
    }
  }
}
```

## GET /v1/display-control/volume/ 

Returns the volume settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/volume/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the volume setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "volume": 50
    }
  }
}
```

## PUT /v1/display-control/volume/  

Changes the volume of a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/volume/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 16
```

This is the example request body:

```json
{
  "data": {
    "volume": 100
  }
}
```

**Response Body**

<font color="#15803D">200</font>: This returns the updated volume setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "volume": 100
    }
  }
}
```

## GET /v1/display-control/white-balance/ 

Returns the white balance settings for a display that is connected to a BrightSign player.

**Request Example**

```text
GET /rest/v1/display-control/white-balance/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

<font color="#15803D">200</font>: This returns the white balance setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "redBalance": 120,
      "greenBalance": 120,
      "blueBalance": 120
    }
  }
}
```

## PUT /v1/display-control/white-balance/  

Changes the white-balance of a display connected to a BrightSign player.

**Request Example**

```text
PUT /rest/v1/display-control/white-balance/?destinationType=player&destinationName={{playerSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 58
```

This is the example request body:

```json
{
  "data": {
    "redBalance": 120,
    "greenBalance": 120,
    "blueBalance": 120
  }
}
```

**Response Body**

<font color="#15803D">200</font>: This returns the updated white balance setting for the display, as shown in the example below.

**Response Example**

```json
{
  "data": {
    "result": {
      "success": true,
      "redBalance": 120,
      "greenBalance": 120,
      "blueBalance": 120
    }
  }
}
```

